@echo off
cd /d %~d0%~p0
@rem checking for admin right here. If not, print out a warning for the user
@rem and exit out.
net session >nul 2>&1
if %errorlevel% NEQ 0 (
echo ...Administrator Privilege is required to install the driver
echo ...Please consult the README.txt for install/uninstall instruction
goto DISP
)
@call preinstchk.bat
if "%vcredist%"=="no" ( goto VCREDIST)
if %continueSetup%==no (goto WARN)
if %PROCESSOR_ARCHITECTURE%==x86 (
.\x86-ForInternalUseOnly\setup.exe
) else (
.\x64-ForInternalUseOnly\setup.exe
)
goto END
:VCREDIST
echo ------ Microsoft Visual C++ 2010 Redistributable Package is required to be installed on target computer
echo ------ Please consult the README.txt for installation instruction, then try again.
goto DISP
:WARN
echo ======== WARNING WARNING: Cannot install this driver =========================================
echo There is a different version of MSI driver package, ver=%foundVer% is currently installed
echo Please first remove the current MSI installed driver in 'Control Panel\Add and Remove program'
echo Then try to install this driver again.
echo ==============================================================================================
@rem make sure that user can see the above warning message.
:DISP
@pause
:END
